Revoke the cluster's replaced DNS token
import requests
url = "https://platform.ankra.app/api/v1/clusters/{cluster_id}/dns-zone/token-rotation/revoke-previous"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/clusters/{cluster_id}/dns-zone/token-rotation/revoke-previous', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url https://platform.ankra.app/api/v1/clusters/{cluster_id}/dns-zone/token-rotation/revoke-previous \
--header 'Authorization: Bearer <token>'{
"success": true,
"fqdn": "<string>",
"state": "<string>",
"rotation_requested_at": "2023-11-07T05:31:56Z",
"previous_token_pending_revocation": true,
"revocation_requested_at": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Clusters
Revoke the cluster's replaced DNS token
Asks Ankra to revoke the DNS write token the last rotation replaced. Call it only once the cluster publishes with the new token: a cluster still using the replaced token stops publishing when it is revoked. Idempotent once requested.
POST
/
api
/
v1
/
clusters
/
{cluster_id}
/
dns-zone
/
token-rotation
/
revoke-previous
Revoke the cluster's replaced DNS token
import requests
url = "https://platform.ankra.app/api/v1/clusters/{cluster_id}/dns-zone/token-rotation/revoke-previous"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/clusters/{cluster_id}/dns-zone/token-rotation/revoke-previous', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url https://platform.ankra.app/api/v1/clusters/{cluster_id}/dns-zone/token-rotation/revoke-previous \
--header 'Authorization: Bearer <token>'{
"success": true,
"fqdn": "<string>",
"state": "<string>",
"rotation_requested_at": "2023-11-07T05:31:56Z",
"previous_token_pending_revocation": true,
"revocation_requested_at": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Response
Successful Response